veyon (4.9.7+repack1-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Feb 2026 23:44:07 +0100

veyon (4.9.7+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2001_disable-upstream-Git-version-detection.patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Aug 2025 12:20:08 +0200

veyon (4.9.5+repack1-2) unstable; urgency=medium

  * debian/control:
    + Add D: (libveyon-core): libqca-qt6-plugins.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2025 16:04:53 +0200

veyon (4.9.5+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_fix-external-x11vnc.patch and 1002_fix-libproc2.patch. Applied
      upstream.
    + Rebase 2001_disable-CPackDefinitions-cmake.patch and 2001_disable-
      upstream-Git-version-detection.patch.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + Drop or'ed dependency on pkexec or policykit-1 (now: only pkexec).
  * debian/{control,rules}:
    + Build against Qt6.
    + Convert to pure debhelper.
  * debian/docs:
    + Drop doc/*. Not available upstream anymore.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
    + Use new FSF address.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Apr 2025 22:55:18 +0200

veyon (4.7.5+repack1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not include buildflags.mk before setting DPKG_EXPORT_BUILDFLAGS = 1.
    This makes sure -latomic flag is really added on armel. (Closes: #1086634)

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Nov 2024 20:16:23 +0300

veyon (4.7.5+repack1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Move systemd unit to /usr for DEP17. (Closes: #1063694)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 Jun 2024 00:08:02 +0200

veyon (4.7.5+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivial rebase of 1001_fix-external-x11vnc.patch.
    + Drop upstream patches 0001, 0002a, 0002b, 0003, 0004, 0005 and 0006.
      All included in this upstream release.
    + Add 2001_disable-upstream-Git-version-detection.patch. Breaks version
      detection when building insider the Debian packaging Git repo.
    + Add 1002_fix-libproc2.patch. Complete the libproc2 build option.
      Incomplete upstream change spotted.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * lintian: Add overrides for license files not listed in d/copyright. The
    veyon source tree contains license files with uncommon names, we won't
    list copyright attributions for those files.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 08:55:32 +0100

veyon (4.7.4+repack1-2) unstable; urgency=medium

  * debian/control:
    + Change D: from policykit-1 to pkexec. (Closes: #1025634).
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Add patches 0001, 0002a, 0002b, 0003 and 0004 as recommended by upstream.
    + In B-D: switch from libprocps-dev to libproc2-dev. (Closes:
      #1024225).
  * debian/patches:
    + Add 0005_LinuxCoreFunctions-add-support-for-libproc2.patch. (relates to
      #1024225).
    + Add 0006_LDAP-relicense-under-LGPL-2.patch. Upstream has relicensed
      the LDAP plugin from GPL-2 to LGPL-2 to fix a license conflict with
      libsasl2 (which is linked into kldap). This license change will be
      shipped as a patch until the next release of Veyon. (Closes: #1023923).
    + Add patch header for 1001_fix-external-x11vnc.patch. Mark patch as
      forwarded.
    + Mark patch 2001 as Debian-specific.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jan 2023 08:30:46 +0100

veyon (4.7.4+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_add-missing-includes.patch. Applied upstream.
    + Rebase 2001_disable-CPackDefinitions-cmake.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2022 22:51:21 +0200

veyon (4.7.3+repack1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to add missing includes for GCC 12 (closes: #1013060).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Aug 2022 14:38:21 +0300

veyon (4.7.3+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/docs:
    + Drop CONTRIBUTORS. File vanished upstream.
  * debian/patches:
    + Trivial rebase of 2001_disable-CPackDefinitions-cmake.patch.
    + Drop 2002_no-bundled-kitemmodels.patch. Feature provided upstream.
    + Add 1001_fix-external-x11vnc.patch. Fix build with external x11vnc.
  * debian/veyon-plugins.install:
    + Simplify file, make it more robust to plugin changes.
  * debian/rules:
    + Obtain upstream tarball from Git releases (and import Git submodules
      when creating it).
    + Build with -DWITH_UNITY_BUILD=OFF.
  * debian/watch:
    + Fix for URL changes on Github.
  * debian/control:
    + Adapt S: fields as proposed by upstream.
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Apr 2022 01:38:16 +0200

veyon (4.5.3+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 1001, 1003 and 1004. Applied upstream.
    + Rebase patches 2001 and 2002.
  * debian/rules:
    + Build with -DWITH_PCH=OFF.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 27 Feb 2021 13:19:34 +0100

veyon (4.5.2+repack1-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/rules:
    + Link with libatomic on architectures that need it.

  [ Mike Gabriel ]
  * debian/patches:
    + Drop 0001_WebApiConnection-use-QAtomicInteger-for-qint64.patch
      again. Superceded by Adrian Bunk's approach (see above).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Feb 2021 22:38:44 +0100

veyon (4.5.2+repack1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_WebApiConnection-use-QAtomicInteger-for-qint64.patch. Possibly
      fix FTBFS on some armel, mipsel and some other 32bit architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Feb 2021 12:00:32 +0100

veyon (4.5.2+repack1-2) unstable; urgency=medium

  * debian/control:
    + Add B-D qtbase5-private-dev. This enables the webapi plugin build.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 12:23:30 +0100

veyon (4.5.2+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update format version to 4.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/patches:
    + Drop 1002_fix-ftbfs-g++-9.patch. Applied upstream.
    + Add 1004_fix-missing-return-value-for-X11VNC-runServer.patch.
      Fix FTBFS when building with VEYON_X11VNC_EXTERNAL.
    + Forward patches 1001 and 1003 upstream.
    + Trivial rebase of patches 1003 and 2001.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/rules:
    + Don't drop 3rdparty project qthttpserver. Use the bundled version for
      now.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 23:23:38 +0100

veyon (4.4.2+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Drop new 3rd party code project 'qhttpserver' during orig tarball
      creation. No needed for 4.4.x.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 21 Oct 2020 14:09:02 +0200

veyon (4.4.1+repack1-1) unstable; urgency=medium

  * New upstream release.
    - Stop using fixed logfile paths. (Closes: #964568).
    - Fix FTBFS in core/src/AccessControlProvider.cpp. (Closes: #964634).
  * debian/rules:
    + Drop libvncserver entirely from 3rdparty/ folder entirely.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump versioned B-D on libvncserver-dev to (>= 0.9.13).
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/patches:
    + Rebase 2002_no-bundled-kitemmodels.patch.
    + Trivial rebase of 2001_disable-CPackDefinitions-cmake.patch.
  * debian/copyright:
    + Update autogenerated copyright.in template file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2020 08:48:04 +0200

veyon (4.3.1+repack1-2) unstable; urgency=medium

  * debian/patches:
    + Add 1003_stop-using-gksudo+kdesudo.patch. Refrain from using old and dead
      kdesudo/gksudo, only use pkexec for launching applications with
      administrative privileges.
  * debian/veyon-service.postinst:
    + Create configuration directories during postinst.
  * debian/veyon-service.postrm:
    + Drop XDG autostart removal code. Left-over from iTALC.
  * debian/control:
    + Add B-D libsystemd-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Feb 2020 10:19:30 +0100

veyon (4.3.1+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Adapt LONG_DESCRIPTION fields as provided in upstream's README.md file.
    + Add B-D: libfakekey-dev.
  * debian/patches:
    + Update 2002_no-bundled-kitemmodels.patch for Veyon 4.3.1.
    + Trivial rebase of 2001_disable-CPackDefinitions-cmake.patch.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/rules:
    + White-space fix in get-orig-source tarball.
    + Drop new 3rdparty/libfakekey/ from orig tarball.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Jan 2020 18:00:08 +0100

veyon (4.2.5+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Drop work-around for falsely installed veyon DATADIR.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Sep 2019 00:55:57 +0200

veyon (4.2.4+repack1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * debian/rules:
    + Enable parallel builds. (Closes: #919884).

  [ Mike Gabriel ]
  * debian/patches:
    + Fix FTBFS with GCC v9. (Closes: #925851).
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Aug 2019 14:38:22 +0200

veyon (4.2.4+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update B-Ds for 4.2.4: Add libsasl2-dev, libkf5itemmodels-dev.
  * debian/rules:
    + Update repack instruction in get-orig-source.
    + Fix flawed installation of language files, move them to veyon's datadir.
  * debian/copyright:
    + Update copyright.in template file.
    + Update copyright attributions.
  * debian/patches:
    + Add 2002_no-bundled-kitemmodels.patch. Use Debian's KF5 Item Models shared
      library.
    + Rebase/shrink 2001_disable-CPackDefinitions-cmake.patch.
  * debian/libveyon-core.install:
    + Simplify installation of language files.
  * debian/veyon-plugins.install:
    + Update plugins to be installed, sort by pathname.
  * debian/veyon-service.{install,manpages}:
    + Update file list, veyon-ctl renamed to veyon-cli; systemd service file got
      renamed upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 16:15:33 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog veyon-plugins`.
